Module java.base
Package java.security.interfaces

## Interface RSAPrivateKey

All Superinterfaces:
  Destroyable, Key, PrivateKey, RSAKey, Serializable

All Known Subinterfaces:
  RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey

    public interface RSAPrivateKey
    extends PrivateKey, RSAKey

The interface to an RSA private key.

See Also:
  `RSAPrivateCrtKey`

### Field Summary

Fields
`static long` `serialVersionUID` The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

### Method Summary

All Methods Instance Methods Abstract Methods
`BigInteger` `getPrivateExponent()` Returns the private exponent.

### Methods inherited from interface javax.security.auth.Destroyable

`destroy, isDestroyed`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Methods inherited from interface java.security.interfaces.RSAKey

`getModulus`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

See Also:
  Constant Field Values

### Method Detail

#### getPrivateExponent

    BigInteger getPrivateExponent()

Returns the private exponent.

Returns:
  the private exponent